Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.client.gui
Class GuiNewChat

    java.lang.Object
      net.minecraft.client.gui.Gui
          net.minecraft.client.gui.GuiNewChat

    public class GuiNewChat

extends Gui

Constructor Summary
`GuiNewChat(Minecraft par1Minecraft)`

Method Summary
`void` | `addToSentMessages(String par1Str)` Adds this string to the list of sent messages, for recall using the up/down arrow keys
`void` | `addTranslatedMessage(String par1Str, Object... par2ArrayOfObj)` Adds a message to the chat after translating to the client's locale.
`void` | `deleteChatLine(int par1)` finds and deletes a Chat line by ID
`void` | `drawChat(int par1)`
`void` | `func_73761_a()`
`ChatClickData` | `func_73766_a(int par1, int par2)`
`boolean` | `getChatOpen()`
`List` | `getSentMessages()` Gets the list of messages previously sent through the chat GUI
`void` | `printChatMessage(String par1Str)` takes a String and prints it to chat
`void` | `printChatMessageWithOptionalDeletion(String par1Str, int par2)` prints the String to Chat.
`void` | `resetScroll()` Resets the chat scroll (executed when the GUI is closed)
`void` | `scroll(int par1)` Scrolls the chat by the given number of lines.

Methods inherited from class net.minecraft.client.gui.Gui
`drawCenteredString, drawRect, drawString, drawTexturedModalRect`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuiNewChat

    public GuiNewChat(Minecraft par1Minecraft)

Method Detail

### drawChat

    public void drawChat(int par1)

### func_73761_a

    public void func_73761_a()

### printChatMessage

    public void printChatMessage(String par1Str)

  takes a String and prints it to chat

### printChatMessageWithOptionalDeletion

    public void printChatMessageWithOptionalDeletion(String par1Str,
                                                     int par2)

  prints the String to Chat. If the ID is not 0, deletes an existing Chat Line of that ID from the GUI

### getSentMessages

    public List getSentMessages()

  Gets the list of messages previously sent through the chat GUI

### addToSentMessages

    public void addToSentMessages(String par1Str)

  Adds this string to the list of sent messages, for recall using the up/down arrow keys

### resetScroll

    public void resetScroll()

  Resets the chat scroll (executed when the GUI is closed)

### scroll

    public void scroll(int par1)

  Scrolls the chat by the given number of lines.

### func_73766_a

    public ChatClickData func_73766_a(int par1,
                                      int par2)

### addTranslatedMessage

    public void addTranslatedMessage(String par1Str,
                                     Object... par2ArrayOfObj)

  Adds a message to the chat after translating to the client's locale.

### getChatOpen

    public boolean getChatOpen()

  Returns:
    `true` if the chat GUI is open

### deleteChatLine

    public void deleteChatLine(int par1)

  finds and deletes a Chat line by ID

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD